## AgsOscXmlrpcController

AgsOscXmlrpcController — handle OSC XMLRPC requests

## Stability Level

Stable, unless otherwise indicated

## Functions

gboolean | ags_osc_xmlrpc_controller_test_flags ()
void | ags_osc_xmlrpc_controller_set_flags ()
void | ags_osc_xmlrpc_controller_unset_flags ()
void | ags_osc_xmlrpc_controller_add_message ()
void | ags_osc_xmlrpc_controller_remove_message ()
void | ags_osc_xmlrpc_controller_start_delegate ()
void | ags_osc_xmlrpc_controller_stop_delegate ()
AgsOscXmlrpcController * | ags_osc_xmlrpc_controller_new ()

## Properties

AgsOscXmlrpcServer * | osc-xmlrpc-server | Read / Write

## Signals

void | start-delegate | Run Last
void | stop-delegate | Run Last

## Types and Values

#define | AGS_OSC_XMLRPC_CONTROLLER_DEFAULT_DELEGATE_TIMEOUT
enum | AgsOscXmlrpcControllerFlags

## Object Hierarchy

        GFlags
        ╰── AgsOscXmlrpcControllerFlags
        GObject
        ╰── AgsController
            ╰── AgsOscXmlrpcController

## Includes

    #include <ags/audio/osc/controller/ags_osc_xmlrpc_controller.h>

## Description

The AgsOscXmlrpcController is an object to handle XMLRPC requests.

## Functions

### ags_osc_xmlrpc_controller_test_flags ()

    gboolean
    ags_osc_xmlrpc_controller_test_flags (AgsOscXmlrpcController *osc_xmlrpc_controller,
                                          AgsOscXmlrpcControllerFlags flags);

Test `flags` to be set on `osc_xmlrpc_controller` .

#### Parameters

osc_xmlrpc_controller | the AgsOscXmlrpcController |
flags | the flags |

#### Returns

`TRUE` if flags are set, else `FALSE`

Since: 3.0.0

### ags_osc_xmlrpc_controller_set_flags ()

    void
    ags_osc_xmlrpc_controller_set_flags (AgsOscXmlrpcController *osc_xmlrpc_controller,
                                         AgsOscXmlrpcControllerFlags flags);

Set flags.

#### Parameters

osc_xmlrpc_controller | the AgsOscXmlrpcController |
flags | the flags |

Since: 3.0.0

### ags_osc_xmlrpc_controller_unset_flags ()

    void
    ags_osc_xmlrpc_controller_unset_flags (AgsOscXmlrpcController *osc_xmlrpc_controller,
                                           AgsOscXmlrpcControllerFlags flags);

Unset flags.

#### Parameters

osc_xmlrpc_controller | the AgsOscXmlrpcController |
flags | the flags |

Since: 3.0.0

### ags_osc_xmlrpc_controller_add_message ()

    void
    ags_osc_xmlrpc_controller_add_message (AgsOscXmlrpcController *osc_xmlrpc_controller,
                                           GObject *message);

Add `message` to `osc_xmlrpc_controller` .

#### Parameters

osc_xmlrpc_controller | the AgsOscXmlrpcController |
message | the AgsOscMessage |

Since: 3.0.0

### ags_osc_xmlrpc_controller_remove_message ()

    void
    ags_osc_xmlrpc_controller_remove_message
                                   (AgsOscXmlrpcController *osc_xmlrpc_controller,
                                    GObject *message);

Remove `message` from `osc_xmlrpc_controller` .

#### Parameters

osc_xmlrpc_controller | the AgsOscXmlrpcController |
message | the AgsOscMessage |

Since: 3.0.0

### ags_osc_xmlrpc_controller_start_delegate ()

    void
    ags_osc_xmlrpc_controller_start_delegate
                                   (AgsOscXmlrpcController *osc_xmlrpc_controller);

Start delegating.

#### Parameters

osc_xmlrpc_controller | the AgsOscXmlrpcController |

Since: 3.0.0

### ags_osc_xmlrpc_controller_stop_delegate ()

    void
    ags_osc_xmlrpc_controller_stop_delegate
                                   (AgsOscXmlrpcController *osc_xmlrpc_controller);

Stop delegating.

#### Parameters

osc_xmlrpc_controller | the AgsOscXmlrpcController |

Since: 3.0.0

### ags_osc_xmlrpc_controller_new ()

    AgsOscXmlrpcController *
    ags_osc_xmlrpc_controller_new ();

Instantiate new AgsOscXmlrpcController

#### Returns

the AgsOscXmlrpcController

Since: 3.0.0

## Types and Values

### AGS_OSC_XMLRPC_CONTROLLER_DEFAULT_DELEGATE_TIMEOUT

    #define AGS_OSC_XMLRPC_CONTROLLER_DEFAULT_DELEGATE_TIMEOUT (1.0 / 30.0)

### enum AgsOscXmlrpcControllerFlags

Enum values to control the behavior or indicate internal state of AgsOscXmlrpcController by enable/disable as flags.

#### Members

AGS_OSC_XMLRPC_CONTROLLER_DELEGATE_STARTED |  |
AGS_OSC_XMLRPC_CONTROLLER_DELEGATE_RUNNING |  |
AGS_OSC_XMLRPC_CONTROLLER_DELEGATE_TERMINATING |  |

## Property Details

### The `“osc-xmlrpc-server”` property

      “osc-xmlrpc-server”        AgsOscXmlrpcServer *

The assigned AgsOscXmlrpcServer

Owner: AgsOscXmlrpcController

Flags: Read / Write

Since: 3.0.0

## Signal Details

### The `“start-delegate”` signal

    void
    user_function (AgsOscXmlrpcController *osc_xmlrpc_controller,
                   gpointer                user_data)

The ::start-delegate signal is emited during start of delegating messages.

#### Parameters

osc_xmlrpc_controller | the AgsOscXmlrpcController |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 3.0.0

### The `“stop-delegate”` signal

    void
    user_function (AgsOscXmlrpcController *osc_xmlrpc_controller,
                   gpointer                user_data)

The ::stop-delegate signal is emited during stop of delegating messages.

#### Parameters

osc_xmlrpc_controller | the AgsOscXmlrpcController |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 3.0.0